trace_call

Executes the given call and returns a number of possible traces for it.

Parameters

Object - An object of type TraceCall

  • from: DATA, 20 Bytes - (optional) 20 Bytes - The address the transaction is send from.
  • to: DATA, 20 Bytes - (optional when creating new contract) 20 Bytes - The address the
    transaction is directed to.
  • gas: QUANTITY - (optional) Integer formatted as a hex string of the gas provided for the
    transaction execution. eth_call consumes zero gas, but this parameter may be needed by some executions.
  • gasPrice: QUANTITY - (optional) Integer formatted as a hex string of the gas price used for each paid gas.
  • value: QUANTITY - (optional) Integer formatted as a hex string of the value sent with this transaction.
  • data: DATA - (optional) 4 byte hash of the method signature followed by encoded parameters.
    For details see Ethereum Contract ABI.

STRINGARRAY - An array of strings, one or more of: "vmTrace", "trace", "stateDiff".

TAG - (optional) Integer of a block number, or the string 'earliest', 'latest' or 'pending'.

Returns

Object - An object of type BlockTraceArray

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Defaults to demo
Body Params
integer
required
Defaults to 1
string
required
Defaults to 2.0
string
required
Defaults to trace_call
params
array
required
Defaults to [object Object],trace,latest
Params*
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json